Verification Status
Check the status of a verification session.
Get session status.
A Wallet Service session can be in one of the following states:
- IN_PROGRESS: The session is ongoing and waiting for response.
- CONSENT_REQUEST_READY: User consent is required. All necessary
information for the end user is included in this state.
- VERIFY_SUCCEEDED: Credential verification completed successfully.
- VERIFY_FAILED: Credential verification failed.
Path Parameters
walletId*string
The unique identifier of the Wallet.
Format
uuidverificationSessionId*string
A unique ID of the verify session.
Format
uuidHeader Parameters
Authorization*string
Token for authenticating requests to the FortID Wallet Service.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://ews.mds2026.fortid.dev/wallets/f4856bb7-d77a-4a6a-9c8a-7d7f6f639cfb/verify/497f6eca-6276-4993-bfeb-53cbbbba6f08/session-status" \ -H "Authorization: Bearer {access_token}"{
"status": "CONSENT_REQUEST_READY",
"consentRequestObject": {
"validated_authorization_request": {
"client_id": "Verifier-Service",
"response_uri": "https://www.verifier.com/openid4vp/response_uri",
"response_type": "vp_token",
"response_mode": "direct_post",
"dcql_query": {
"credentials": [
{
"id": "my_credential",
"format": "dc+sd-jwt",
"multiple": false,
"meta": {},
"require_cryptographic_holder_binding": true,
"claims": [
{
"path": [
"vct"
]
}
]
}
]
},
"nonce": "c34khDJ8j2aYIq",
"state": "32f54163-aaaa-48f1-93d8-ff217bdb0653",
"client_metadata": {
"vp_formats_supported": {
"dc+sd-jwt": {
"sd-jwt_alg_values": [
"ES256"
],
"kb-jwt_alg_values": [
"ES256"
]
},
"mso_mdoc": {
"issuerauth_alg_values": [
-7
],
"deviceauth_alg_values": [
-7
]
}
},
"jwks": {
"keys": [
{
"kid": "f64f2c06-b3b8-43bc-a131-2cd0bcdf8737",
"use": "enc",
"kty": "EC",
"crv": "P-256",
"x": "MKBCTNIcKUSDii11ySs3526iDZ8AiTo7Tu6KPAqv7D4",
"y": "4Etl6SRW2YiLUrN5vfvVHuhp7x8PxltmWWlbbM4IFyM"
}
]
},
"encrypted_response_enc_values_supported": [
"A256GCM"
]
}
},
"matching_credentials": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"credentialConfigurationId": "eu.europa.ec.eudi.pid_mdoc",
"credentialIssuer": "https://eis.fortid.com:443/protocol/oid4vci/issuer/fortid_issuer",
"decodedPayload": {
"dc+sd-jwt": {
"iss": "https://www.issuer.com",
"vct": "https://www.issuer.com/dummy-credential",
"name": "John"
}
}
}
]
}
}{
"error": "Bad request"
}{
"error": "Unauthorized access to wallet service is not allowed."
}{
"error": "User user:9d18dc5a409e4f0f94ff6812e324c959 unauthorized for Wallet f5d223f6-fc41-42b1-b2a6-475a2984486c"
}{
"error": "Present session with ID dd6473c2-2043-4523-b359-ceb596ddae66 not found"
}{
"error": "Internal Server Error"
}